@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: Poppins;
    height: 100%;
}

.page-layout {
    position: relative;
    padding-top: 160px;
    background: linear-gradient(to bottom, #A4CBE3 0%, #ffffff 100%);
}

.section-layout {
    padding: 80px;
    padding-top: 0px;
}
.no-scroll {
    overflow: hidden;
    height: 100vh;
}

.max-w-100 {
    max-width: 100% !important;
    width: 100%;
}

.cursor-pointer {
    cursor: pointer;
}

h1 {
    font-size: 36px;
    font-style: normal;
    font-weight: 800;
    line-height: 48px; /* 133.333% */
    letter-spacing: -0.432px;
}

    h1:focus {
        outline: none;
    }

h2 {
    font-size: 30px;
    font-weight: 600;
}

h3 {
    font-size: 24px;
    font-weight: 600;
}

h4 {
    font-size: 20px;
    font-weight: 600;
}

label,
p {
    font-size: 14px;
    font-weight: 500;
}

.inter-text {
    font-family: Inter;
    font-weight: 900;
    font-size: 20px;
    letter-spacing: 1px;
    line-height: 28px;
}

.text-s {
    font-size: 16px;
}

.text-xs {
    color: #21272A;
    font-size: 14px;
    font-weight: 400;
}

.bold-l {
    font-weight: 500 !important;
}

.bold-s {
    font-weight: 600 !important;
}

.bold-xs {
    font-weight: 800 !important;
}

a, .btn-link {
    color: #fff;
    text-decoration: none;
}

    a:hover, .btn-link:hover {
        color: #fff;
        text-decoration: none;
        opacity: 0.8;
    }

.clamp-2 {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.clamp-3 {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.required-field::after {
    content: " *";
    color: #D63620;
}

.checkbox-rounded {
    appearance: none;
    -webkit-appearance: none;
    width: 16px;
    height: 16px;
    border: 1px solid #E2E8F0;
    border-radius: 50%;
    cursor: pointer;
    position: relative;
}

    .checkbox-rounded:checked {
        background-color: white;
        border-color: #E2E8F0;
    }

        .checkbox-rounded:checked::after {
            content: "";
            position: absolute;
            top: 3px;
            left: 3px;
            width: 8px;
            height: 8px;
            background: #4A6FA5;
            border-radius: 50%;
        }

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.field-validation-wrapper:has(input.invalid) label {
    color: #A5282D;
    font-weight: 500;
}

.field-validation-wrapper label::after {
    content: " *";
    color: #D63620;
}

.validation-message {
    font-size: 14px;
    font-weight: 400;
    margin-top: 4px;
    color: #A5282D;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.btn {
    white-space: nowrap;
    align-items: center;
    color: #fff;
    font-family: Poppins;
}

    .btn:hover {
        color: #fff;
        opacity: 0.9;
    }

.text-blue,
.link-blue {
    color: #4A6FA5 !important;
}

.text-red {
    color: #A5282D;
}

.text-gray {
    color: #94A3B8;
}

.custom-toggle {
    appearance: none;
    -webkit-appearance: none;
    width: 44px !important;
    height: 24px;
    background-color: #E2E8F0;
    border: none;
    border-radius: 12px;
    flex-shrink: 0 !important;
}

.text-black {
    color: black
}

.text-number {
    text-align: center;
    font-family: Roboto;
    font-size: 128px;
    font-style: normal;
    font-weight: 700;
    line-height: 110%;
}


.modal {
    top: 5%;
}

.modal-body {
    margin-top: 3rem;
    padding: 24px;
    padding-top: 0;
}

.modal-content {
    max-width: 700px;
}

.modal-label {
    font-size: 14px;
    font-weight: 500;
}


.modal-header {
    position: relative;
    padding: 24px;
    padding-bottom: 0;
    border-bottom: none;
}

    .modal-header .close {
        position: absolute;
        right: 24px;
        top: 20px;
        border: none;
        background-color: white;
        color: #4A6FA5;
    }

        .modal-header .close span {
            position: relative;
            font-size: 28px;
        }


.modal-title {
    font-size: 24px;
    font-weight: 600;
    font-family: Poppins;
    position: absolute;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    letter-spacing: -0.144px;
}

.filter-label {
    font-size: 14px;
    font-weight: 600;
}

.input-default {
    height: 40px !important;
    border-radius: 6px;
    border: 1px solid #CBD5E1
}

.divider-horizontal {
    height: 1px;
    width: 100%;
    background-color: #CBD5E1;
}

.responsive-svg {
    display: flex;
    justify-content: center;
    width: 100%;
    height: auto;
}

    .responsive-svg svg {
        width: 100%;
        height: auto;
        max-width: 70%;
    }

.dropdown button:hover,
.dropdown button:focus,
.dropdown button {
    background: #4A6FA5;
    border: none;
    display: flex;
    padding: 0;
    padding-right: 15px
}

.orange-divider {
    display: flex;
    height: 2px;
    background-color: #A5282D;
    width: 90%;
    border-radius: 2px;
    margin: 0 auto;
}

.gray-divider {
    display: flex;
    height: 1px;
    background-color: #CBD5E1;
    width: 90%;
    border-radius: 2px;
    margin: 0 auto;
}

.card {
    position: relative;
    background-color: white;
    border-radius: 6px;
    padding: 48px 24px;
    box-shadow: 0px 4px 6px #00000017;
    border: none;
}


@media (max-width: 768px) {
    .page-layout {
        padding: 16px 0px;
        padding-top: 88px;
    }

    .section-layout {
        padding: 0 16px;
    }

    h1 {
        font-size: 32px;
        line-height: 36px;
    }

    p {
        font-size: 16px;
        font-weight: 400;
    }

    .inter-text {
        font-weight: 600;
        font-size: 14px;
    }

    .dropdown button:hover,
    .dropdown button:focus,
    .dropdown button {
        height: 40px;
        font-size: 14px;
        padding-left: 20px;
        padding-right: 12px;
    }

    .dropdown-menu[data-bs-popper] {
        top: auto !important; 
        bottom: 100% !important; 
    }

}


@media (max-width: 1500px) {

    .responsive-svg svg {
        max-width: 100%;
    }
}



.grid-text-sub {
    font-weight: 400;
    font-size: 20px;
    line-height: 36px;
}